# Uses of Enum Class
com.google.protobuf.NullValue

Packages that use NullValue
Package
Description
com.google.protobuf

## Uses of NullValue in com.google.protobuf

Methods in com.google.protobuf that return NullValue
Modifier and Type
Method
Description
`static NullValue`
NullValue.`forNumber(int value)`
`NullValue`
Value.Builder.`getNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`NullValue`
Value.`getNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`NullValue`
ValueOrBuilder.`getNullValue()`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`
`static NullValue`
NullValue.`valueOf(int value)`
Deprecated.
`static NullValue`
NullValue.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static NullValue`
NullValue.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NullValue[]`
NullValue.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type NullValue
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<NullValue>`
NullValue.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type NullValue
Modifier and Type
Method
Description
`Value.Builder`
Value.Builder.`setNullValue(NullValue value)`
`.google.protobuf.NullValue null_value = 1 [json_name = "nullValue"];`